DROP DATABASE IF EXISTS `realdb_benchmark`;
CREATE DATABASE `realdb_benchmark`;

CREATE TABLE `realdb_benchmark`.`FloatData` (
  `streamId` INTEGER UNSIGNED NOT NULL,
  `time` BIGINT UNSIGNED NOT NULL,
  `value` FLOAT NOT NULL,
  `discontinuity` BIT NOT NULL,
  PRIMARY KEY (`streamId`, `time`),
  INDEX `Index_Time`(`time`)
)
ENGINE = MyISAM;

CREATE TABLE `realdb_benchmark`.`BooleanData` (
  `streamId` INTEGER UNSIGNED NOT NULL,
  `time` BIGINT UNSIGNED NOT NULL,
  `value` BIT NOT NULL,
  `discontinuity` BIT NOT NULL,
  PRIMARY KEY (`streamId`, `time`),
  INDEX `Index_Time`(`time`)
)
ENGINE = MyISAM;
